Bug 728831 - control keys not passed over VNC if "Show position of pointer when the Control key is pressed" enabled
Summary: control keys not passed over VNC if "Show position of pointer when the Contro...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 04:56 UTC by Akira TAGOH
Modified: 2013-02-13 13:00 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 13:00:35 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2011-08-08 04:56:21 UTC
Description of problem:
Control key is ignore on the guest even if clicking on the console window nor simply typing something there. which worked in the older virt-manager.

Version-Release number of selected component (if applicable):
virt-manager-0.8.7-4.fc15.noarch

How reproducible:
always

Steps to Reproduce:
1.open the guest console window and run VM
2.log into the desktop on the guest 
3.click the window and do any operation that Control key is required on the guest
  
Actual results:
Control key is ignored on the guest

Expected results:
should be recognized properly

Additional info:

Comment 1 Akira TAGOH 2011-08-08 10:49:47 UTC
hmm, this seems happens when "Show position of pointer when the Control key is pressed" feature in Mouse and Touchpad configuration in gnome-control-center. it worked fine in f14 though.

Comment 2 John Ellson 2011-11-28 22:24:49 UTC
Thanks for the work-around. Worked for me too.   But doesn't this suggest that this bug belongs with gnome-control-center (or whatever handles the mouse for gnome) ???


Bug still exists in Fedora16

Comment 3 Cole Robinson 2012-01-18 16:47:30 UTC
Reassigning to control-center for further triage

Comment 4 Fedora End Of Life 2013-01-16 12:39:39 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-13 13:00:41 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.